Download it now!
Bug 72238 - draw tables ignore cell attributes specified in style:table-cell-properties
Summary: draw tables ignore cell attributes specified in style:table-cell-properties
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odf
Depends on: 103602
Blocks: ImpressDraw-Tables ImpressDraw-Styles Table-Styles
  Show dependency treegraph
 
Reported: 2013-12-02 18:18 UTC by David Tardon
Modified: 2019-09-03 16:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
what should work but does not (6.64 KB, application/vnd.oasis.opendocument.presentation-flat-xml)
2013-12-02 18:19 UTC, David Tardon
Details
the current way the properties are saved (7.48 KB, application/vnd.oasis.opendocument.presentation-flat-xml)
2013-12-02 18:20 UTC, David Tardon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2013-12-02 18:18:44 UTC
Tables in Draw/Impress do not recognize cell attributes specified in style:table-cell-properties element in the cell's style. Instead, they use attributes saved in style:graphics-properties and style:paragraph-properties.
Comment 1 David Tardon 2013-12-02 18:19:41 UTC
Created attachment 90114 [details]
what should work but does not
Comment 2 David Tardon 2013-12-02 18:20:21 UTC
Created attachment 90115 [details]
the current way the properties are saved
Comment 3 David Tardon 2013-12-02 18:23:00 UTC
Attachment 1 and attachment 2 contain the same table, but only the table in attachment 2 is displayed correctly.
Comment 4 QA Administrators 2015-04-19 03:22:22 UTC Comment hidden (obsolete)
Comment 5 David Tardon 2015-04-19 07:37:01 UTC
Still there in current master.
Comment 6 Robinson Tryon (qubit) 2015-12-03 11:27:19 UTC
Converting Whiteboard tags to Keywords: filter:odf
Comment 7 QA Administrators 2017-09-01 11:19:26 UTC Comment hidden (obsolete)
Comment 8 Regina Henschel 2017-09-01 14:21:37 UTC
The problems are still there in Version: 6.0.0.0.alpha0+
Build ID: 4c99b8a9de59f3c5280ff2944d9f828822897f4a
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: de-DE (de_DE); Calc: group

In the meantime the namespace was changed to loext. That solves the part "invalid" of this issue, but it is still bad design, because it violates the rule, that properties which can be expressed in ODF1.2 should not be put into private namespace.

The problem with graphic-properties is part of the superordinate problem, how to bring the filling properties which come with the new Area dialog to ODF. There is an ongoing discussion about that topic in bug 103602.
Comment 9 QA Administrators 2018-09-02 02:50:16 UTC Comment hidden (obsolete)
Comment 10 Regina Henschel 2018-09-02 16:19:28 UTC
The problem still exists in Version: 6.2.0.0.alpha0+ (x64)
Build-ID: a201c5c8c3e7ea14001b5634f330dbce2b1f4314
CPU-Threads: 8; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: en-US (en_US); Calc: CL

Borders are written as paragraph properties, but paragraph borders and cell borders are different, which you can easily see, if you use a table in Writer.
Comment 11 QA Administrators 2019-09-03 16:12:24 UTC
Dear David Tardon,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug